CreateBaremetalInstance
CreateBaremetalInstance
/zstack/v1/baremetal/instancesOperation ID
CreateBaremetalInstanceSince
2.6.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe name of the bare metal instance.
descriptionStringOptional. The detailed description of the bare metal instance.
chassisUuidStringRequiredThe UUID of the bare metal chassis.
imageUuidStringRequiredThe image UUID.
templateUuidStringOptional. The UUID of the preconfigured template.
usernameStringOptional. The system user of the bare metal instance.
passwordStringOptional. The password of the bare metal instance.
nicCfgsMapOptional. The network configurations of the bare metal instance.
bondingCfgsMapOptional. The network bonding configurations of the bare metal instance.
customConfigurationsMapOptional. The custom configurations of the bare metal instance.
strategyStringOptional. The strategy used to create the bare metal instance.
resourceUuidStringThe resource UUID. If you specify this parameter, the value of this parameter is the UUID of the bare metal instance.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
